This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 138739 - cdrecord does not work with scsi cd-writer
cdrecord does not work with scsi cd-writer
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
: 138877 143311 (view as bug list)
Depends On: 134822
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-10 17:22 EST by Boris Diehl
Modified: 2015-01-04 17:11 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:57:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Boris Diehl 2004-11-10 17:22:10 EST
Description of problem:
cdrecord -scanbus does not find any SCSI cd-roms or writers.
burning with xcdroast or cdrecord is not possible.
I think ist's because of the new udev feature.
cdrecord uses /dev/sg* devices, but they don't exist, an loading the 
sg module by hand create these devices, but cdrecord does't work.

burning with cdrdao is no problem.

Version-Release number of selected component (if applicable):
2.01.1-5

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Plextor Ultraplex 40 SCSI CDROM
YAMAHA 2100 SCSI Writer
Comment 1 Harald Hoyer 2004-11-11 06:06:07 EST
cdrdao uses the cdrecord library for burning. 

try to start xcdroast with a cdrom inserted.

also what error messages do you get from cdrecord/xcdroast?

which kernel and udev version do you use?
Comment 2 Boris Diehl 2004-11-11 08:13:26 EST
I use kernel 2.6.9-1.667 and udev 039-10.FC3.1.

xcdroast works with inserted cdrom. the scanning for devices works
also. all my scsi cd-devices were found.

but scanning without a cdrom inserted the scsi cd-devices were not found.
---------------------------------------------------------------------
cdrecord -scanbus with inserted cdrom:
cdrecord -scanbus
Cdrecord-Clone 2.01-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004
Jörg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
http://bugzilla.redhat.com/bugzilla
Note: The author of cdrecord should not be bothered with problems in
this version.
Linux sg driver version: 3.5.27
Using libscg version 'schily-0.8'.
cdrecord: Warning: using inofficial libscg transport code version
(schily - RedHat-scsi-linux-sg.c-1.83-RH '@(#)scsi-linux-sg.c       
1.83 04/05/20 Copyright1997 J. Schilling').
scsibus0:
        0,0,0     0) *
        0,1,0     1) *
        0,2,0     2) *
        0,3,0     3) 'PLEXTOR ' 'CD-ROM PX-40TS  ' '1.11' Removable CD-ROM
        0,4,0     4) 'YAMAHA  ' 'CRW2100S        ' '1.0H' Removable CD-ROM
        0,5,0     5) *
        0,6,0     6) *
        0,7,0     7) *
---------------------------------------------------------------------

cdrecord -scanbus without inserted cdrom

Cdrecord-Clone 2.01-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004
Jörg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
http://bugzilla.redhat.com/bugzilla
Note: The author of cdrecord should not be bothered with problems in
this version.
Linux sg driver version: 3.5.27
Using libscg version 'schily-0.8'.
cdrecord: Warning: using inofficial libscg transport code version
(schily - RedHat-scsi-linux-sg.c-1.83-RH '@(#)scsi-linux-sg.c       
1.83 04/05/20 Copyright1997 J. Schilling').
scsibus0:
        0,0,0     0) *
        0,1,0     1) *
        0,2,0     2) *
        0,3,0     3) '�� '�� '�� Removable unknown device type 0x19
        0,4,0     4) '�� '�� '�� Removable unknown device type 0x19
        0,5,0     5) *
        0,6,0     6) *
        0,7,0     7) *
---------------------------------------------------------------------

That means everytime i want to configure xcdroast, i had to insert a
cdrom in all SCSI cd-drives.
Comment 3 Harald Hoyer 2004-11-12 04:48:01 EST
*** Bug 138877 has been marked as a duplicate of this bug. ***
Comment 4 David Masterson 2004-11-13 01:37:00 EST
See bug #138877 for examples of my "scanbus" output as well as my
system configuration.

My problem is similar, but not exactly the same.  Having a CD inserted
in the drives does not seem to make a difference -- the CD drives are
seen by normal users during scanbus, but not by a root scanbus. 
However, the normal user doesn't seem to have the permission to write
to the CD.

When I attempt to write to the CD using "dev=1,0,0" as a normal user,
I get an error about being "unable to open /dev/sg9" and "Cannot open
SCSI driver".  When I attempt to write to the CD using "dev=1,0,0" as
root, I get an error about "no such device" and "cannot open /dev/pg0"
and "Cannot open SCSI driver".  The commands and system are the same,
I only do "su" between them.
Comment 5 David Masterson 2004-11-13 01:39:22 EST
Oh, if it makes a difference, when I put a blank CD-R in my CD-R
drive, Nautilus pops up in "CD Creator" mode, so the drive is being
recognized.
Comment 6 David Masterson 2004-11-20 21:59:37 EST
I also note that I get the following information when I run "scanbus"
as a normal user:

scsidev: 'ATA'
devname: 'ATA'
scsibus: -2 target: -2 lun: -2
Linux sg driver version: 3.5.27

whereas, as root, this information is reduced to:

Linux sg driver version: 3.5.31

Why would I be getting two different versions of the SG driver?
Comment 7 Harald Hoyer 2004-11-22 05:51:16 EST
David Masterson: 
try 
$ which cdrecord
as a normal user and as root...
Comment 8 David Masterson 2004-11-22 14:20:29 EST
It comes back as '/usr/bin/cdrecord' for a normal user, a normal user
who did 'su' to root, and a normal user who did 'su -' to root.

$ rpm -q cdrecord
cdrecord-2.01.1-0.FC2.1
Comment 9 Harald Hoyer 2004-11-23 04:18:44 EST
David: I cannot get version 3.5.31 back as root.. which kernel do you
use and do you have scsi? 
Comment 10 Harald Hoyer 2004-11-23 08:07:51 EST
kernel issue, see #134822
Comment 11 David Masterson 2004-11-23 19:04:53 EST
What RPM contains the Linux SG driver?  What library is being reported
as the Linux SG driver?  What file could I check to directly see what
version of SG I'm using?

[dsm@batcave dsm]$ rpm -q kernel
kernel-2.6.8-1.521
kernel-2.6.9-1.3_FC2
kernel-2.6.9-1.6_FC2

Could there be a conflict between these kernels?
Comment 12 Dennis Wagelaar 2004-11-27 05:41:41 EST
I've also got a problem with having my SCSI CD writer recognized (in
k3b). It's a PLEXTOR PX-W8220T. Last kernel it works with is
2.6.7-1.494.2.2 (Fedora Core 2). kernel 2.6.8-1.521 only recognized
CD/RW, not CD/R. Then under the 2.6.9-1.3_FC2 and -1.6_FC2 kernels,
k3b doesn't recognize anything anymore (not even my SCSI reader, a
PIONEER DVD-303).
Comment 13 David Masterson 2004-12-02 19:48:55 EST
bump

* Is this related to #134822?
* Where does cdrecord get SG driver from?
* Why do I get two versions of SG reported by cdrecord?
Comment 14 Andreas Müller 2004-12-05 19:41:05 EST
It works correctly with kernel-2.6.9-1.698_FC3 (from updates-testing).
Comment 15 David Masterson 2004-12-05 19:46:26 EST
When you say it works for you now, did it not work for you previously
and, if so, in what environment?  Is there an equivalent to
kernel-2.6.9-1.698_FC3 for FC2?  I can't upgrade to FC3 until I can
get cdrecord working.
Comment 16 Andreas Müller 2004-12-05 19:56:52 EST
It didn't work previously (FC3, all officially released kernel
versions). There is no equivalent kernel for FC2. The output of
"cdrecord -scanbus" is correct (without media inserted):
scsibus0:
        0,0,0     0) 'PLEXTOR ' 'CD-ROM PX-40TS  ' '1.05' Removable CD-ROM
        0,1,0     1) 'PLEXTOR ' 'CD-ROM PX-32TS  ' '1.01' Removable CD-ROM
        0,2,0     2) *
        0,3,0     3) *
        0,4,0     4) *
        0,5,0     5) 'PLEXTOR ' 'CD-R   PX-R412C ' '1.07' Removable CD-ROM
        0,6,0     6) *
        0,7,0     7) *
Comment 17 Dave Jones 2004-12-06 11:22:07 EST
fwiw: there will be an equivalent fc2 kernel the day the fc3 one moves
from updates-testing to updates-proper.
Comment 18 David Masterson 2005-01-13 02:07:00 EST
This still is a problem for me and I am now on 2.6.10 of the kernel. 
I am still having the same problem I mentioned in Comment #6 above. 
Can anyone answer the question of where the SG driver is coming from
and why normal users would see a different version than root?

Can this bug be kicked up to high?
Comment 19 Harald Hoyer 2005-01-20 11:13:06 EST
*** Bug 143311 has been marked as a duplicate of this bug. ***
Comment 20 Dave Jones 2005-07-15 14:38:22 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 21 Dave Jones 2005-10-02 20:57:31 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.